me.legofreak107.vehiclesplus.vehicles.api.events

## Class SendKeyEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - me.legofreak107.vehiclesplus.vehicles.api.events.SendKeyEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class SendKeyEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`SendKeyEvent(org.bukkit.entity.Entity riding, org.bukkit.entity.Player player, MovementInput input)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.bukkit.entity.Player` `getDriver()`
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`MovementInput` `getInput()`
`org.bukkit.entity.Entity` `getRiding()`
`boolean` `isCancelled()`
`void` `setCancelled(boolean cancel)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendKeyEvent

    public SendKeyEvent(org.bukkit.entity.Entity riding,
                        org.bukkit.entity.Player player,
                        MovementInput input)

### Method Detail

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean cancel)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getRiding

    public org.bukkit.entity.Entity getRiding()

#### getDriver

    public org.bukkit.entity.Player getDriver()

#### getInput

    public MovementInput getInput()